## ido-ubiquitous 4.13

=== Makefile ===
ELISP_FILES := $(shell cask files)
ELC_FILES := $(patsubst %.el,%.elc,$(ELISP_FILES))

.PHONY: test compile clean
.INTERMEDIATE: .compile.intermediate

all: test

# We run clean-elc first because undercover.el doesn't support elc
# files. We run the tests first without loading flx-ido, and then with
# it. We only send the coverage report when running the full test
# suite.
test: clean
	cask exec buttercup -L . tests

test-with-flx: clean
	cask exec buttercup -l tests/setup-undercover.el -L . tests tests-with-flx-ido

all-tests: test test-with-flx

compile: $(ELC_FILES)

$(ELC_FILES): .compile.intermediate
.compile.intermediate: $(ELISP_FILES)
	cask build

clean:
	cask clean-elc

## ido-ubiquitous 3.14

=== debian/changelog ===
ido-ubiquitous (3.14-1) unstable; urgency=low

  * Initial release (Closes: #844251)

 -- Lev Lamberov <dogsleg@debian.org>  Fri, 4 Nov 2016 18:24:57 +0500

=== debian/control ===
Source: ido-ubiquitous
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 10),
               dh-elpa
Standards-Version: 3.9.8
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/DarwinAwardWinner/ido-ubiquitous
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ido-ubiquitous.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ido-ubiquitous.git

Package: elpa-ido-ubiquitous
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs,
         elpa-ido-completing-read+ (= ${binary:Version})
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: use ido (nearly) everywhere
 If you use the excellent `ido-mode' for efficient completion of file names
 and buffers, you might wonder if you can get ido-style completion everywhere
 else too. This package replaces stock emacs completion with ido completion
 wherever it is possible to do so without breaking things.

Package: elpa-ido-completing-read+
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         emacs
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs24,
          emacs25
Built-Using: ${misc:Built-Using}
Description: completing-read-function using ido
 This package implements the `ido-completing-read+' function, which is a
 wrapper for `ido-completing-read'. Importantly, it detects edge cases that
 ordinary ido cannot handle and either adjusts them so ido *can* handle them,
 or else simply falls back to Emacs' standard completion instead.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --parallel --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_elpa_test:
	@echo skipping upstream tests

.PHONY: override_dh_auto_build override_dh_elpa_test

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ido-ubiquitous-$1.tar.gz%" \
             https://github.com/DarwinAwardWinner/ido-ubiquitous/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ido-ubiquitous 3.16

=== debian/changelog ===
ido-ubiquitous (3.16-1) unstable; urgency=medium

  * New upstream version 3.16
  * Reformat patch a bit and refresh it
  * Don't pass --parallel to dh, disable DH_VERBOSE
  * Remove Testsuit from d/control, lacking dependencies for tests
  * Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 20 Jun 2017 12:12:44 +0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Build-Depends: debhelper (>= 10),
                dh-elpa
 Standards-Version: 3.9.8
-Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DarwinAwardWinner/ido-ubiquitous
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ido-ubiquitous.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ido-ubiquitous.git

## ido-ubiquitous 4.7

=== debian/changelog ===
ido-ubiquitous (4.7-1) unstable; urgency=medium

  * New upstream version 4.7
  * Refresh patch to clean documentation
  * Add new patch to disable undecover
  * d/control: Add additional dependencies to Build-Depends field
  * d/control: Add Testsuite field
  * d/rules: Skip upstream clean (uses Cask)
  * d/rules: Run buttercup tests

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 08 Feb 2018 21:38:15 +0500

ido-ubiquitous (4.5-2) unstable; urgency=medium

  * Update metadata for project rename (Closes: #885902)
  * Migrate to dh 11
  * d/control: Loosen dependency on elpa-ido-completing-read+ (Closes: #885903)
  * d/control: Update description for elpa-ido-ubiquitous (Closes: #885904)
  * d/control: Drop emacs24 from the Enchances field
  * d/control: Declare Standards-Version 4.1.3 (no changes needed)
  * d/control: Remove Build-Using fields
  * d/control: Move elpa-ido-ubiquitous to oldlibs
  * d/copyright: Update copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Wed, 17 Jan 2018 21:51:09 +0500

ido-ubiquitous (4.5-1) unstable; urgency=medium

  * New upstream version 4.5
  * Refresh d/control:
    - Bump Standards-Version to 4.0.1
    - Remove emacs from Depends fields
  * Refresh patch

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 20 Aug 2017 00:14:58 +0500

=== debian/control ===
Source: ido-ubiquitous
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper (>= 11),
               dh-elpa,
               elpa-buttercup,
               elpa-flx-ido,
               elpa-memoize,
               elpa-s,
               elpa-with-simulated-input
Standards-Version: 4.1.3
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/DarwinAwardWinner/ido-completing-read-plus
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ido-ubiquitous.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ido-ubiquitous.git

Package: elpa-ido-completing-read+
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: completing-read-function using ido
 This package implements the `ido-completing-read+' function, which is a
 wrapper for `ido-completing-read'. Importantly, it detects edge cases that
 ordinary ido cannot handle and either adjusts them so ido *can* handle them,
 or else simply falls back to Emacs' standard completion instead.

Package: elpa-ido-ubiquitous
Section: oldlibs
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends},
         elpa-ido-completing-read+ (>= 4)
Recommends: emacs (>= 46.0)
Enhances: emacs,
          emacs25
Description: transitional package for elpa-ido-completing-read+
 This is a transitional package to ensure transition. It is obsolete
 and can be removed after update.

## ido-ubiquitous 4.11

=== debian/changelog ===
ido-ubiquitous (4.11-1) unstable; urgency=medium

  * New upstream version 4.11
  * d/control: Update Maintainer (to Debian Emacsen team)
  * d/control: Declare Standards-Version 4.1.5 (no changes needed)
  * d/control: Add Rules-Requires-Root: no

 -- Lev Lamberov <dogsleg@debian.org>  Mon, 09 Jul 2018 21:42:12 +0500

ido-ubiquitous (4.10-1) unstable; urgency=medium

  * New upstream version 4.10
  * Change Vcs-{Browser,Git} URL to salsa.debian.org
  * Declare Standards-Version 4.1.4 (no changes needed)
  * Remove obsolete patch (0002-disable-undercover.diff)

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 26 Apr 2018 13:55:10 +0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ido-ubiquitous
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-elpa,
@@ -10,11 +10,12 @@
                elpa-memoize,
                elpa-s,
                elpa-with-simulated-input
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
+Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DarwinAwardWinner/ido-completing-read-plus
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/ido-ubiquitous.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/ido-ubiquitous.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/ido-ubiquitous
+Vcs-Git: https://salsa.debian.org/emacsen-team/ido-ubiquitous.git
 
 Package: elpa-ido-completing-read+
 Architecture: all

## ido-ubiquitous 4.12

=== debian/changelog ===
ido-ubiquitous (4.12-1) unstable; urgency=medium

  * New upstream version 4.12
  * Refresh patch
  * Migrate to debhelper 12 without d/compat
  * d/control: Declare Standards-Version 4.4.0 (no changes needed)
  * d/control: Drop emacs25 from Enhances
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 16 Jul 2019 12:50:35 +0500

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-elpa,
                elpa-buttercup,
                elpa-flx-ido,
                elpa-memoize,
                elpa-s,
                elpa-with-simulated-input
-Standards-Version: 4.1.5
+Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DarwinAwardWinner/ido-completing-read-plus
@@ -22,8 +22,7 @@
 Depends: ${elpa:Depends},
          ${misc:Depends}
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: completing-read-function using ido
  This package implements the `ido-completing-read+' function, which is a
  wrapper for `ido-completing-read'. Importantly, it detects edge cases that
@@ -37,8 +36,7 @@
          ${misc:Depends},
          elpa-ido-completing-read+ (>= 4)
 Recommends: emacs (>= 46.0)
-Enhances: emacs,
-          emacs25
+Enhances: emacs
 Description: transitional package for elpa-ido-completing-read+
  This is a transitional package to ensure transition. It is obsolete
  and can be removed after update.

## ido-ubiquitous 4.13

=== debian/changelog ===
ido-ubiquitous (4.13-2) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:08:59 -0400

ido-ubiquitous (4.13-1) unstable; urgency=medium

  * New upstream version 4.13
  * Refresh patch
  * Stop building transitional package

 -- Lev Lamberov <dogsleg@debian.org>  Tue, 03 Sep 2019 18:45:56 +0500

=== debian/control ===
--- 
+++ 
@@ -28,15 +28,3 @@
  wrapper for `ido-completing-read'. Importantly, it detects edge cases that
  ordinary ido cannot handle and either adjusts them so ido *can* handle them,
  or else simply falls back to Emacs' standard completion instead.
-
-Package: elpa-ido-ubiquitous
-Section: oldlibs
-Architecture: all
-Depends: ${elpa:Depends},
-         ${misc:Depends},
-         elpa-ido-completing-read+ (>= 4)
-Recommends: emacs (>= 46.0)
-Enhances: emacs
-Description: transitional package for elpa-ido-completing-read+
- This is a transitional package to ensure transition. It is obsolete
- and can be removed after update.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo skipping upstream build

override_dh_auto_clean:
	@echo skipping upstream clean

override_dh_elpa_test:
	buttercup -L .

.PHONY: override_dh_auto_build override_dh_elpa_test

## ido-ubiquitous 4.14

=== debian/changelog ===
ido-ubiquitous (4.14-1) unstable; urgency=medium

  * New upstream version 4.14
  * Refresh patch to clean documentation
  * Add patch to disable tests that are handled incorrectly
  * Add upstream metadata
  * d/control: Migrate to dh 13
  * d/control: Declare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Bump copyright years
  * d/rules: Clean build rules
  * d/rules: Install upstream changelog

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 12 May 2022 15:06:30 +0500

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
 Uploaders: Lev Lamberov <dogsleg@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-elpa,
                elpa-buttercup,
                elpa-flx-ido,
                elpa-memoize,
                elpa-s,
                elpa-with-simulated-input
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-elpa
 Homepage: https://github.com/DarwinAwardWinner/ido-completing-read-plus

=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ido-ubiquitous-$1.tar.gz%" \
             https://github.com/DarwinAwardWinner/ido-completing-read-plus/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
